<?php
	/**
	* PHP Function Convert stdClass Object to Array
	*/
    function object2Array($d)
    {
        if (is_object($d))
        {
            $d = get_object_vars($d);
        }
 
        if (is_array($d))
        {
            return array_map(__FUNCTION__, $d);
        }
        else
        {
            return $d;
        }
    }

	/**
	* PHP Function Convert Array to stdClass Object
	*/
	function array2Object($d)
    {
        if (is_array($d))
        {
            return (object) array_map(__FUNCTION__, $d);
        }
        else
        {
            return $d;
        }
    }
?>